Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 208156 - net-misc/ucarp init script
Summary: net-misc/ucarp init script
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: x86 Linux
: Normal enhancement (vote)
Assignee: Gentoo Cluster Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-30 09:47 UTC by George .H
Modified: 2013-03-11 10:48 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ucarp-1.4-r1.ebuild (ucarp-1.4-r1.ebuild,804 bytes, text/plain)
2008-01-30 09:48 UTC, George .H
Details
ucarp-1.4-2008-01-29.patch (ucarp-1.4-2008-01-29.patch,763 bytes, patch)
2008-01-30 09:49 UTC, George .H
Details | Diff
ucarp.initd (ucarp.initd,1.61 KB, text/plain)
2008-04-08 13:17 UTC, Natanael Copa
Details
ucarp-1.5.ebuild (ucarp-1.5.ebuild,723 bytes, text/plain)
2008-10-15 08:23 UTC, El Goretto
Details
ucarp-1.5.patch (ucarp-1.5.patch,903 bytes, patch)
2009-08-18 11:32 UTC, Cristi Magherusan
Details | Diff
ucarp-1.5.2.ebuild.patch (ucarp-1.5.2.ebuild.patch,1.34 KB, patch)
2010-11-14 20:44 UTC, Marcel Pennewiß
Details | Diff
ucarp-1.5.2.ebuild.patch (ucarp.conf,1.69 KB, patch)
2010-11-14 20:45 UTC, Marcel Pennewiß
Details | Diff
new ucarp-init-file (ucarp.init,481 bytes, text/plain)
2010-11-14 20:45 UTC, Marcel Pennewiß
Details
down-script using iproute2 (vip-down.sh,182 bytes, text/plain)
2010-11-14 20:46 UTC, Marcel Pennewiß
Details
up-script using iproute2 (vip-up.sh,182 bytes, text/plain)
2010-11-14 20:46 UTC, Marcel Pennewiß
Details
ucarp config-file for /etc/conf.d (ucarp.conf,1.69 KB, text/plain)
2010-11-14 20:47 UTC, Marcel Pennewiß
Details
ucarp-1.5.2.ebuild.patch (ucarp-1.5.2.ebuild.patch,1.31 KB, patch)
2011-12-13 22:32 UTC, Marcel Pennewiß
Details | Diff
ucarp config-file for /etc/conf.d (ucarp.conf,1.69 KB, text/plain)
2011-12-13 22:35 UTC, Marcel Pennewiß
Details

Note You need to log in before you can comment on or make changes to this bug.
Description George .H 2008-01-30 09:47:36 UTC
Add a new ebuild for UCARP v 1.4 but this one includes a very recent patch. The stock 1.4 version won't work unless the network interface card is set into promiscuous mode (works when you debug with tcpdump, doesn't when you don't) it's documented  here "http://kerneltrap.org/mailarchive/ucarp/2008/1/30/648179"

Also the ebuilds for ucarp are old in portage and this is the newest version.

Reproducible: Always
Comment 1 George .H 2008-01-30 09:48:43 UTC
Created attachment 142187 [details]
ucarp-1.4-r1.ebuild

The new ucarp v1.4  ebuild which includes the patch.
It's pretty simple and I just modified one of the older ebuilds.
Comment 2 George .H 2008-01-30 09:49:26 UTC
Created attachment 142189 [details, diff]
ucarp-1.4-2008-01-29.patch

The patch in question. See http://kerneltrap.org/mailarchive/ucarp/2008/1/30/648179  for more details
Comment 3 Natanael Copa 2008-04-08 13:17:29 UTC
Created attachment 149101 [details]
ucarp.initd

a user sent me his ucarp init.d script. I POSIX'ified it but it still might need some work. I'm not using ucarp myself but it would be nice to ship a proper init.d script.
Comment 4 El Goretto 2008-10-15 08:23:50 UTC
Created attachment 168520 [details]
ucarp-1.5.ebuild 

Original 1.3 ebuild with modified SRC_URI.
Comment 5 Thilo Bangert (RETIRED) (RETIRED) gentoo-dev 2009-04-04 21:36:10 UTC
1.5 is in the tree.
Comment 6 Cristi Magherusan 2009-08-18 11:32:08 UTC
Created attachment 201601 [details, diff]
ucarp-1.5.patch

A bit of polishing wouldn't hurt, like in the attached patch (ucarp-1.5.patch).

Cristi
Comment 7 Marcel Pennewiß 2010-11-14 20:44:46 UTC
Created attachment 254339 [details, diff]
ucarp-1.5.2.ebuild.patch
Comment 8 Marcel Pennewiß 2010-11-14 20:45:33 UTC
Created attachment 254341 [details, diff]
ucarp-1.5.2.ebuild.patch
Comment 9 Marcel Pennewiß 2010-11-14 20:45:51 UTC
Created attachment 254343 [details]
new ucarp-init-file
Comment 10 Marcel Pennewiß 2010-11-14 20:46:09 UTC
Created attachment 254345 [details]
down-script using iproute2
Comment 11 Marcel Pennewiß 2010-11-14 20:46:20 UTC
Created attachment 254347 [details]
up-script using iproute2
Comment 12 Marcel Pennewiß 2010-11-14 20:47:13 UTC
Created attachment 254349 [details]
ucarp config-file for /etc/conf.d
Comment 13 Marcel Pennewiß 2010-11-14 20:51:41 UTC
Here is my
 * conf-file for to configure all possible options (based on [1])
 * a simple init-file
 * updated up/down-scripts which use iproute2 to add/delete failover ip address

I'm also updated the ebuild based on Cristi's version adding iproute2 dependency.

Maybe this would help someone outside to use ucarp on gentoo ;)

[1] http://www.gentoo-wiki.info/HOWTO_Setup_IP_failover_with_UCARP
Comment 14 Marcel Pennewiß 2011-12-13 22:32:07 UTC
Created attachment 295733 [details, diff]
ucarp-1.5.2.ebuild.patch

fix dependency, install docs
Comment 15 Marcel Pennewiß 2011-12-13 22:35:27 UTC
Created attachment 295735 [details]
ucarp config-file for /etc/conf.d

remove < and > (QA-Errors)
Comment 16 Tiziano Müller gentoo-dev 2013-03-11 10:48:49 UTC
Finally fixed in 1.5.2-r2:

*ucarp-1.5.2-r2 (11 Mar 2013)

  11 Mar 2013; Tiziano Müller <dev-zero@gentoo.org> +files/ucarp.confd,
  +files/ucarp.initd, +files/vip-down-default.sh, +files/vip-up-default.sh,
  +ucarp-1.5.2-r2.ebuild:
  Revision bump for new init.d/conf.d-scripts written from scratch by Christian
  Affolter for the FOSS-Cloud project, fixes bug #208156.

The rewrite was necessary to adhere to recent best practices (declarative init.d script style).